org.cybergarage.soap

## Class SOAPResponse

- java.lang.Object
- - org.cybergarage.http.HTTPPacket
  - - org.cybergarage.http.HTTPResponse
    - - org.cybergarage.soap.SOAPResponse

- Direct Known Subclasses:
    ControlResponse

      public class SOAPResponse
      extends HTTPResponse

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SOAPResponse()`
    `SOAPResponse(HTTPResponse httpRes)`
    `SOAPResponse(SOAPResponse soapRes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Node` | `getBodyNode()`
    `Node` | `getEnvelopeNode()`
    `String` | `getFaultActor()`
    `Node` | `getFaultActorNode()`
    `String` | `getFaultCode()`
    `Node` | `getFaultCodeNode()`
    `Node` | `getFaultDetailNode()`
    `Node` | `getFaultNode()`
    `String` | `getFaultString()`
    `Node` | `getFaultStringNode()`
    `Node` | `getMethodResponseNode(String name)`
    `void` | `print()`
    `void` | `setContent(Node node)`
    `void` | `setEnvelopeNode(Node node)`

    - ### Methods inherited from class org.cybergarage.http.HTTPResponse

      `getHeader, getStatusCode, getStatusLineString, isSuccessful, setStatusCode, toString`

    - ### Methods inherited from class org.cybergarage.http.HTTPPacket

      `addHeader, addHeader, clearHeaders, getCacheControl, getConnection, getContent, getContentInputStream, getContentLength, getContentRange, getContentRangeFirstPosition, getContentRangeInstanceLength, getContentRangeLastPosition, getContentString, getContentType, getDate, getFirstLine, getFirstLineToken, getHeader, getHeader, getHeaderString, getHeaderValue, getHost, getIntegerHeaderValue, getLongHeaderValue, getNHeaders, getServer, getStringHeaderValue, getStringHeaderValue, getTransferEncoding, getVersion, hasConnection, hasContent, hasContentInputStream, hasContentRange, hasFirstLine, hasHeader, hasTransferEncoding, init, isChunked, isCloseConnection, isKeepAliveConnection, read, set, set, set, set, setCacheControl, setCacheControl, setCacheControl, setConnection, setContent, setContent, setContent, setContent, setContentInputStream, setContentLength, setContentRange, setContentType, setDate, setHeader, setHeader, setHeader, setHeader, setHost, setIntegerHeader, setLongHeader, setServer, setStringHeader, setStringHeader, setTransferEncoding, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SOAPResponse

          public SOAPResponse()

    - #### SOAPResponse

          public SOAPResponse(HTTPResponse httpRes)

    - #### SOAPResponse

          public SOAPResponse(SOAPResponse soapRes)

  - ### Method Detail

    - #### setEnvelopeNode

          public void setEnvelopeNode(Node node)

    - #### getEnvelopeNode

          public Node getEnvelopeNode()

    - #### getBodyNode

          public Node getBodyNode()

    - #### getMethodResponseNode

          public Node getMethodResponseNode(String name)

    - #### getFaultNode

          public Node getFaultNode()

    - #### getFaultCodeNode

          public Node getFaultCodeNode()

    - #### getFaultStringNode

          public Node getFaultStringNode()

    - #### getFaultActorNode

          public Node getFaultActorNode()

    - #### getFaultDetailNode

          public Node getFaultDetailNode()

    - #### getFaultCode

          public String getFaultCode()

    - #### getFaultString

          public String getFaultString()

    - #### getFaultActor

          public String getFaultActor()

    - #### setContent

          public void setContent(Node node)

    - #### print

          public void print()

      Overrides:
        `print` in class `HTTPResponse`